/* WinNT zeitnetunet.h, Matt Welsh (mdw@cs.cornell.edu)
 *
 * User-visible definitions for U-Net/Zeitnet driver.
 *
 * M. Welsh, 10 Dec 96.
 */

// Set trafficshaping parameters for future created channels.
// Returns original parameters.

#define UNET_ZEITNET_IOCTL_TRAFFICSHAPING 0x01
typedef struct _UNET_ZEITNET_IOCTL_TRAFFICSHAPING_REQUEST {
	// I cells in M cell periods
	UCHAR I; // Range: 0-255  
	ULONG M; // Range: 0-16777215
	// Shaper peak rate, minimum cell gap
	UCHAR P; // Range: 0-255
	// Shaper bucket size
	UCHAR C; // Range: 0-255
} UNET_ZEITNET_IOCTL_TRAFFICSHAPING_REQUEST,
		UNET_ZEITNET_IOCTL_TRAFFICSHAPING_RESPONSE;

// No response for trafficshaping
	
